.paragraph--type--grid-block-selective-sponsor {
  @include max-width(small);
  margin-bottom: 1em;
  margin-top: 1em;

  >.field--name-field-title {
    align-items: center;
    display: flex;
    font-family: $font-primary;
    font-size: $font-medium;
    font-weight: 500;
    text-transform: uppercase;

    &::after,
    &::before {
      border-top: 1px dashed $color-grey;
      content: '';
      display: block;
      flex-grow: 1;
    }
    &:after {
      margin-left: 1rem;
    }
    &:before {
      margin-right: 1rem;
    }
  }

  .field--name-field-items {
    align-items: center;
    display: flex;
    justify-content: center;

    > .field__item {
      margin: .5em 1em;

      .media--type-logo {
        img {
          width: 140px;
          max-width: 140px;
          max-height: 120px;
          margin: 1rem auto;
        }
      }
    }
    a, img {
      display: block;
    }
  }
}
